#if !defined(AFX_ATOMLISTDIALOG_H__3B3615E5_253B_4666_9823_D1CC291A0E86__INCLUDED_)
#define AFX_ATOMLISTDIALOG_H__3B3615E5_253B_4666_9823_D1CC291A0E86__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AtomListDialog.h : header file
//

#include "list.h"
#include "array.h"
#include "QmolDoc.h"
/////////////////////////////////////////////////////////////////////////////
// AtomListDialog dialog

class AtomListDialog : public CDialog
{
// Construction
public:
	AtomListDialog(BOOL m_mask, list<int> &m_selected, array<BOOL> &m_pool,
		molecule *m_mol, int &m_showAtom);

	void LoadAtomList(int m_show);

	list<int> *ptrSelected;
	list<int> pool;
	list<int> subPool;
	molecule *mol;
	int *ptrShowAtom;

	BOOL OnInitDialog();

// Dialog Data
	//{{AFX_DATA(AtomListDialog)
	enum { IDD = IDD_ATOM_LIST_DIALOG };
	CListBox	m_list;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(AtomListDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(AtomListDialog)
	virtual void OnOK();
	afx_msg void OnAllRadio();
	afx_msg void OnCaRadio();
	afx_msg void OnHeavyRadio();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ATOMLISTDIALOG_H__3B3615E5_253B_4666_9823_D1CC291A0E86__INCLUDED_)
