#if !defined(AFX_SURFCOLORPROPERTY_H__6D14F4E7_C753_45A3_A9B5_234D7D20D2D5__INCLUDED_)
#define AFX_SURFCOLORPROPERTY_H__6D14F4E7_C753_45A3_A9B5_234D7D20D2D5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SurfColorProperty.h : header file
//
#include "FlexColorDialog.h"

/////////////////////////////////////////////////////////////////////////////
// CSurfColorProperty dialog

class CSurfColorProperty : public CPropertyPage
{
	DECLARE_DYNCREATE(CSurfColorProperty)

// Construction
public:
	CSurfColorProperty();
	~CSurfColorProperty();

	BOOL OnInitDialog();
	void UpdateUI();
	void ApplyColor();

	enum {COLOR_BY_ATOM, COLOR_USER};

	CWnd *m_pWnd;

	int color_style;

	CFlexColorDialog *m_flexClrDlg;

// Dialog Data
	//{{AFX_DATA(CSurfColorProperty)
	enum { IDD = IDD_SURF_CLR_SHEET };
	BOOL	m_enable_alpha;
	int		m_alpha;
	BOOL	m_auto_apply;
	CString	m_alpha_text;
	int		m_a;
	int		m_b;
	int		m_g;
	int		m_r;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CSurfColorProperty)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSurfColorProperty)
	afx_msg void OnAlphaCheck();
	afx_msg void OnAutoApply();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnAtomRadio();
	afx_msg void OnSurfRadio();
	afx_msg LRESULT OnFlexColor(WPARAM wParam, LPARAM lParam);
	afx_msg void OnColorButton();
	afx_msg void OnChangeREdit();
	afx_msg void OnChangeGEdit();
	afx_msg void OnChangeBEdit();
	afx_msg void OnChangeAEdit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SURFCOLORPROPERTY_H__6D14F4E7_C753_45A3_A9B5_234D7D20D2D5__INCLUDED_)
